/* 
 * Copyright 1999 Silicon Graphics, Inc. All rights reserved.
 */
#define KSTACK_SIZE 	KL_STACK_OFFSET

extern kaddr_t KL_VPERNODE_BASE;
extern kaddr_t KL_VGLOBAL_BASE;
extern kaddr_t KL_KERNEL_OFFSET;
extern kaddr_t KL_KERNEL_START;

/** External function prototypes
 **/
kaddr_t kl_fix_vaddr(kaddr_t, size_t);
kaddr_t kl_kernelstack(kaddr_t);
int kl_vtop(kaddr_t, paddr_t *);
int kl_virtop(kaddr_t, void *, paddr_t *);
int kl_valid_physmem(kaddr_t);
paddr_t kl_next_valid_physaddr(kaddr_t);
int kl_arch_init(void);

int kl_get_struct(
	kaddr_t 	/* address */, 
	int 		/* size of struct */, 
	void *		/* ptr to buffer */, 
	char *		/* name of struct */);

void *kl_get_ra(void);

